function TrigunTick()
{
	cancel($TrigunTick);
	$TrigunTick = schedule(250,0,TrigunTick);
}
package Trigun_InputEvent_AddedBrickPlayerDetection
{
	function TrigunTick()
	{
		parent::TrigunTick();
		if(IsObject(MissionCleanup))
		{
			for(%i = 0; %i < MissionCleanup.getCount(); %i++)
			{
				%obj = MissionCleanup.getObject(%i);
				if(%obj.getClassname() $= "Player")
				{
					InitContainerBoxSearch(%obj.getPosition(),"1.5 1.5 2.5",$TypeMasks::FXBrickObjectType);
					while(isObject(%checkObj = containerSearchNext()))
					{
						if(%checkObj.isPlanted())
						{
							if(%obj.client.minigame $= %checkobj.getGroup().client.minigame)
							{
								%checkObj.onPlayerEnter(%obj);
								%checkObj.isTouching[%obj] = 1;
								%checkObj.schedule(249,ResetPlayerTouch,%obj);
								%checkObj.schedule(251,PingPlayerCollision,%obj);
							}
						}
					}
				}
			}
		}
	}
	function FxDTSBrick::PingPlayerCollision(%this,%player)
	{
		if(isObject(%player))
		{
			if(!%this.isTouching[%player])
			{
				if(%this.isColliding())
					%this.onPlayerStopTouch(%player);
				%this.onPlayerLeave(%player);
			}
		}	
	}
	function FxDTSBrick::ResetPlayerTouch(%this,%player)
	{
		%this.isTouching[%player] = "";
	}
};
ActivatePackage(Trigun_InputEvent_AddedBrickPlayerDetection);
registerInputEvent(fxDTSBrick, "onPlayerStopTouch", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame",1);
function fxDTSBrick::onPlayerStopTouch(%this, %player)
{
	$inputTarget_self = %this;
	$inputTarget_client = %player.client;
	$inputTarget_player = %player;
	$inputTarget_miniGame = getMiniGameFromObject(%this);
	%this.processInputEvent("OnPlayerStopTouch",%player.client);
}
registerInputEvent(fxDTSBrick, "onPlayerEnter", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame",1);
function fxDTSBrick::onPlayerEnter(%this, %player)
{
	$inputTarget_self = %this;
	$inputTarget_client = %player.client;
	$inputTarget_player = %player;
	$inputTarget_miniGame = getMiniGameFromObject(%this);
	%this.processInputEvent("OnPlayerEnter",%player.client);
}
registerInputEvent(fxDTSBrick, "onPlayerLeave", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame",1);
function fxDTSBrick::onPlayerLeave(%this, %player)
{
	$inputTarget_self = %this;
	$inputTarget_client = %player.client;
	$inputTarget_player = %player;
	$inputTarget_miniGame = getMiniGameFromObject(%this);
	%this.processInputEvent("OnPlayerLeave",%player.client);
}